Documentation

Expedite All API Overview

Expedite All's API enables partners to access real-time Cargo Van rates, book shipments directly from their TMS, and receive automated shipment tracking updates throughout the load lifecycle. If you're interested in setting up an API connection, contact your account representative to determine whether an existing integration is available for your TMS or to obtain credentials for a custom integration.

Authorization

Login – Retrieve Bearer Token

This endpoint authenticates users and returns a Bearer token. The token must be included in the Authorization header for all subsequent Rate Calculator and Shipment API requests.

Base URLs

Production: POST https://api.expediteall.com/api/oauth/token
Staging: POST https://stage-lb-public-api-back.rhinocodes.org/api/oauth/token
Request
Content-Type application/json
Accept application/json

Authorization Types

The Expedite All API supports three authentication methods:

  • Basic Authorization
  • Query Parameters Authentication
  • X-API-Key Authentication

Basic Authorization

Production: POST https://api.expediteall.com/api/oauth/token?grant_type=client_credentials
Staging: POST https://stage-lb-public-api-back.rhinocodes.org/api/oauth/token?grant_type=client_credentials
Headers:
Content-Type application/json
Accept application/json
Authorization Basic {token}
Parameters
grant_type client_credentials
Example Request bash
curl --location --request POST 'https://api.expediteall.com/api/oauth/token?grant_type=client_credentials'  \
--header 'Content-Type:  application/json  '  \
--header 'Accept:  application/json  '  \
--header 'Authorization:  Basic {token}'
Example Response json
{
  "token_type": "Bearer",
  "access_token": "Value",
  "expires_in": 900,
  "scope": "read_rates"
}

Query Parameters Authentication

Production: POST https://api.expediteall.com/api/oauth/token?client_id={value}&client_secret={value}&grant_type=client_credentials
Staging: POST https://stage-lb-public-api-back.rhinocodes.org/api/oauth/token?client_id={value}&client_secret={value}&grant_type=client_credentials

Both client_id and client_secret must be passed as query parameters in the URL.

Do not include them in the request body or headers. No Authorization header is required in this method.

Headers
Content-Type application/json
Parameters
client_id {value}
client_secret {value}
grant_type client_credentials
Example Request bash
curl --location -g --request POST 'https://api.expediteall.com/api/oauth/token?client_id={value}&client_secret={value}&grant_type=client_credentials'  \
--header 'Content-Type:  application/json  '  \
--header 'Accept:  application/json'
Example Response json
{
  "token_type": "Bearer",
  "access_token": "Value",
  "expires_in": 900,
  "scope": "read_rates"
}

Response

Returns a Bearer token and metadata: Use this token in the Authorization header of all subsequent API calls:

Authorization: Bearer {access_token}

Token is valid for 900 seconds (15 minutes).

X-API-Key Authentication

Partners can authenticate by including their unique X-API-Key in the request header. This method does not require a separate login request, allowing immediate access to supported API endpoints while maintaining secure authentication.

Rate Calculator API

The Rate Calculator API returns real-time pricing and transit information for Cargo Van shipments based on shipment details, service requirements, and accessorial selections.

Base URLs

Production POST https://api.expediteall.com/api/v2/calculate-rate
Staging POST https://stage-lb-public-api-back.rhinocodes.org/api/v2/calculate-rate

Rate Calculation

POST https://api.expediteall.com/api/v2/calculate-rate

Retrieve a real-time rate quote, transit time, and available service levels for a Cargo Van shipment based on the shipment details provided.

Authorization
Token <token>
Headers:
Content-Type application/json
Accept application/json

Request Parameters

pickup object required

Details of the pick-up location and requested pick-up date/time.

location object required
city string required

Pick-up city.

state string required

Pick-up state. Must be one of the predefined state abbreviations: AL, AZ, AR, CA, CO, CT, DE, DC, FL, GA, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY.

zip string

Pick-up zip code. Must be a 5-digit number (pattern: \d{5}).

country string required

Pick-up country. Must be ‘US’.

date string required

The requested pick-up date and time in UTC format (date-time).

delivery object required

Details of the delivery location.

location object required
city string required

Delivery city.

state string required

Delivery state. Must be one of the predefined state abbreviations: AL, AZ, AR, CA, CO, CT, DE, DC, FL, GA, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY.

zip string

Delivery zip code. Must be a 5-digit number (pattern: \d{5}).

country string required

Delivery country. Must be ‘US’.

pieces object required

Details of the individual pieces being transported.

unit string required

Unit of measurement for dimensions. Must be one of the predefined units: ‘in’ or ‘cm’.

quantity integer required

Number of pallets, crates, boxes, etc., in the load.

parts array required
length number required

Length of the item.

width number required

Width of the item.

height number required

Height of the item.

weight object required

Total weight of the load.

unit string required

Unit of measurement for weight. Must be one of the predefined units: ‘lbs’ or ‘kg’.

value number required

Total weight of the load.

hazardousMaterial object

Information about hazardous materials in the load.

unNumbers array

List of Hazardous Material UN Numbers. Here’s a list of UN Numbers that Expedite All is allowed to haul.

accessorialCodes array

List of requested accessorial services. Here’s a list of Accessorial Codes supported by Expedite All.

shipmentId string

Customer-specific internal shipment ID.

referenceNumber string

Customer-specific internal reference number.

serviceLevel string

Specifies the desired service level for the shipment. Accepted values: GTD_AM: Guaranteed Morning, GTD_NOON: Guaranteed Noon, GTD_PM: Guaranteed End of Day, STND: Standard.

Example Request bash
curl --location 'https://api.expediteall.com/api/v2/calculate-rate' \
--header 'Content-Type:  application/json' \
--header 'Accept:  application/json' \
--header 'Authorization:  Bearer' \
--data '{
    "pickup": {
        "location": {
            "city": "Chicago",
            "state": "IL",
            "zip": "60605",
            "country": "US"
        },
        "date": "2024-12-31T16:00:00.000Z"
    },
    "delivery": {
        "location": {
            "city": "Atlanta",
            "state": "GA",
            "zip": "30303",
            "country": "US"
        }
    },
    "pieces": {
        "unit": "in",
        "quantity": 2,
        "parts": [
            {
                "length": 74,
                "width": 51,
                "height": 67
            },
            {
                "length": 75,
                "width": 51,
                "height": 67
            }
        ]
    },
    "weight": {
        "unit": "lbs",
        "value": 999
    },
    "hazardousMaterial": {
        "unNumbers": [
            "UN3508",
            "UN3530",
            "UN3536",
            "UN3548"
        ]
    },
    "accessorialCodes": [
        "CALLDEL",
        "DEBRISREM",
        "UPK"
    ],
    "shipmentId": "1",
    "referenceNumber": "Reference12345",
    "serviceLevel": "GTD_NOON"
}'
Responses:
rate object

Breakdown of the rate calculation.

priceLineHaul number

Linehaul price for the shipment.

rpm number

Rate per mile for the shipment.

priceTotal number

Total calculated price for the shipment, including linehaul and accessorial charges.

priceAccessorials array

Breakdown of charges for additional accessorial services.

code string

Accessorial code representing the service.

price number

Charge for the accessorial service.

rateCalculationID string

Unique identifier for the rate calculation transaction.

truckType string

Type of truck required for transportation. Can only be a Cargo van.

transitTime integer

Estimated transit time for the shipment in days.

rateType string

Indicates the type of rate returned. Default value: dynamic.

deliveryDate string

The guaranteed delivery date for the shipment. Format: YYYY-MM-DD.

transitTimeMessage.message string

An informational message regarding transit time. Default value: Transit times are based on noon pickups.

service.level string

The service level code corresponding to the service level requested. Possible values: GTD_AM, GTD_NOON, GTD_PM, STND.

service.description string

The descriptive name of the service level returned. Possible values: Guaranteed Morning, Guaranteed Noon, Guaranteed End of Day, Standard.

service.guaranteedTime string

The guaranteed delivery time in 24-hour format (HHMM). Example: 6 PM = 1800.

status integer

HTTP status code of the error.

message string

Detailed error message explaining the reason for the error.

code string

Error code providing a more specific categorization of the error.

name string

Name of the error category.

timestamp string

Timestamp of the error occurrence in UTC format (date-time).

path string

API path where the error occurred.

status integer

HTTP status code of the error.

message string

Detailed error message explaining the reason for the error.

name string

Name of the error category.

timestamp string

Timestamp of the error occurrence in UTC format (date-time).

path string

API path where the error occurred.

Example Response json
{
  "rate": {
    "priceLineHaul": 1269.58,
    "rpm": 1.78
  },
  "priceTotal": 1619.58,
  "priceAccessorials": [
    {
      "code": "CALLDEL",
      "price": 0
    },
    {
      "code": "DEBRISREM",
      "price": 150
    },
    {
      "code": "UPK",
      "price": 200
    }
  ],
  "rateCalculationID": "464e22ee-8e99-4cb5-b1f8-455399148293",
  "truckType": "Cargo van",
  "transitTime": 1,
  "rateType": "dynamic",
  "deliveryDate": "2025-01-01",
  "transitTimeMessage": {
    "message": "Transit times are calculated based on noon pickups."
  },
  "service": {
    "level": "GTD_NOON",
    "description": "Guaranteed Noon",
    "guaranteedTime": "1200"
  }
}
Example Response json
{
  "status": 422,
  "message": "The pick-up location provided in the request could not be identified. Please verify the details and try again.",
  "code": "PICKUP_LOCATION_NOT_FOUND",
  "name": "UNPROCESSABLE_ENTITY",
  "timestamp": "2024-12-16T19:30:13.860Z",
  "path": "/api/v2/calculate-rate"
}
Example Response json
{
  "status": 400,
  "message": "pickup.location.state must be one of the following values: AL, AZ, AR, CA, CO, CT, DE, DC, FL, GA, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY",
  "name": "BAD_REQUEST",
  "timestamp": "2024-12-16T19:38:13.553Z",
  "path": "/api/v2/calculate-rate"
}

UN Numbers that Expedite All is allowed to haul

UN0255, UN0256, UN0257, UN0350, UN0361, UN0365, UN0378, UN0383, UN0512, NA0276, UN0276, UN0278, UN0338, UN0339, UN0351, UN0379, UN0407, UN0438, UN0446, UN0448, UN0479, UN0491, UN0501, UN0509, UN0510, NA0494, UN0104, UN0237, UN0289, UN0344, UN0347, UN0352, UN0370, UN0410, UN0440, UN0444, UN0459, UN0480, UN0494, UN0412, UN0471, UN0348, UN0371, UN0427, UN0472, UN0066, UN0103, UN0191, UN0197, UN0297, UN0300, UN0301, UN0303, UN0306, UN0312, UN0317, UN0320, UN0325, UN0336, UN0353, UN0362, UN0363, UN0403, UN0425, UN0431, UN0435, UN0452, UN0453, UN0485, UN0493, UN0503, UN0505, NA0323, NA0337, UN0012, UN0014, UN0044, UN0055, UN0070, UN0105, UN0110, UN0131, UN0173, UN0174, UN0193, UN0323, UN0337, UN0345, UN0349, UN0366, UN0367, UN0368, UN0373, UN0376, UN0384, UN0404, UN0405, UN0432, UN0441, UN0445, UN0454, UN0455, UN0456, UN0460, UN0481, UN0500, UN0506, UN0507, UN0513, UN0331, UN0332, UN0482, UN0486, NA1911, NA1954, NA1961, UN1001, UN1010, UN1011, UN1012, UN1027, UN1030, UN1032, UN1033, UN1035, UN1036, UN1037, UN1038, UN1039, UN1041, UN1049, UN1055, UN1057, UN1060, UN1061, UN1063, UN1075, UN1077, UN1081, UN1083, UN1085, UN1086, UN1087, UN1860, UN1912, UN1950, UN1954, UN1957, UN1959, UN1961, UN1962, UN1964, UN1965, UN1966, UN1969, UN1971, UN1972, UN1978, UN2034, UN2035, UN2037, UN2044, UN2200, UN2203, UN2419, UN2452, UN2453, UN2454, UN2517, UN2601, UN3138, UN3150, UN3153, UN3154, UN3161, UN3167, UN3252, UN3312, UN3354, UN3358, UN3468, UN3478, UN3479, UN3501, UN3504, UN3505, UN3510, UN3529, UN3537, UN1002, UN1003, UN1005, UN1006, UN1009, UN1013, UN1018, UN1020, UN1021, UN1022, UN1028, UN1029, UN1043, UN1044, UN1046, UN1056, UN1058, UN1065, UN1066, UN1070, UN1072, UN1073, UN1078, UN1080, UN1858, UN1913, UN1951, UN1952, UN1956, UN1958, UN1963, UN1968, UN1970, UN1973, UN1974, UN1976, UN1977, UN1982, UN1983, UN1984, UN2036, UN2073, UN2187, UN2193, UN2201, UN2422, UN2424, UN2451, UN2591, UN2599, UN2602, UN2857, UN3070, UN3136, UN3156, UN3157, UN3158, UN3159, UN3163, UN3164, UN3220, UN3296, UN3297, UN3298, UN3299, UN3311, UN3318, UN3337, UN3338, UN3339, UN3340, UN3500, UN3502, UN3503, UN3511, UN3513, UN3538, NA1057, NA1270, NA1987, NA1993, NA1999, UN1088, UN1089, UN1090, UN1091, UN1093, UN1099, UN1100, UN1104, UN1105, UN1106, UN1107, UN1108, UN1109, UN1110, UN1111, UN1112, UN1113, UN1114, UN1120, UN1123, UN1125, UN1126, UN1127, UN1128, UN1129, UN1130, UN1131, UN1133, UN1134, UN1136, UN1139, UN1144, UN1145, UN1146, UN1147, UN1148, UN1149, UN1150, UN1152, UN1153, UN1154, UN1155, UN1156, UN1157, UN1158, UN1159, UN1160, UN1161, UN1162, UN1164, UN1165, UN1166, UN1167, UN1170, UN1171, UN1172, UN1173, UN1175, UN1176, UN1177, UN1178, UN1179, UN1180, UN1184, UN1188, UN1189, UN1190, UN1191, UN1192, UN1193, UN1194, UN1195, UN1196, UN1197, UN1198, UN1201, UN1202, UN1203, UN1204, UN1206, UN1207, UN1208, UN1210, UN1212, UN1213, UN1214, UN1216, UN1218, UN1219, UN1220, UN1221, UN1222, UN1223, UN1224, UN1228, UN1229, UN1230, UN1231, UN1233, UN1234, UN1235, UN1237, UN1243, UN1245, UN1246, UN1247, UN1248, UN1249, UN1250, UN1261, UN1262, UN1263, UN1264, UN1265, UN1266, UN1267, UN1268, UN1272, UN1274, UN1275, UN1276, UN1277, UN1278, UN1279, UN1280, UN1281, UN1282, UN1286, UN1287, UN1288, UN1289, UN1292, UN1293, UN1294, UN1296, UN1297, UN1298, UN1299, UN1300, UN1301, UN1302, UN1303, UN1304, UN1305, UN1306, UN1307, UN1308, UN1648, UN1717, UN1723, UN1815, UN1862, UN1863, UN1865, UN1866, UN1891, UN1914, UN1915, UN1917, UN1918, UN1919, UN1920, UN1921, UN1922, UN1986, UN1987, UN1988, UN1989, UN1991, UN1992, UN1993, UN1999, UN2045, UN2046, UN2047, UN2048, UN2049, UN2050, UN2052, UN2053, UN2055, UN2056, UN2057, UN2058, UN2059, UN2219, UN2222, UN2227, UN2234, UN2238, UN2241, UN2242, UN2243, UN2244, UN2245, UN2246, UN2247, UN2251, UN2252, UN2256, UN2260, UN2263, UN2265, UN2266, UN2270, UN2271, UN2275, UN2276, UN2277, UN2278, UN2282, UN2283, UN2284, UN2286, UN2287, UN2288, UN2293, UN2296, UN2297, UN2298, UN2301, UN2302, UN2303, UN2309, UN2310, UN2313, UN2319, UN2323, UN2324, UN2325, UN2329, UN2330, UN2332, UN2333, UN2335, UN2336, UN2338, UN2339, UN2340, UN2341, UN2342, UN2343, UN2344, UN2345, UN2346, UN2347, UN2348, UN2350, UN2351, UN2352, UN2353, UN2354, UN2356, UN2358, UN2359, UN2360, UN2361, UN2362, UN2363, UN2364, UN2366, UN2367, UN2368, UN2370, UN2371, UN2372, UN2373, UN2374, UN2375, UN2376, UN2377, UN2378, UN2379, UN2380, UN2381, UN2383, UN2384, UN2385, UN2386, UN2387, UN2388, UN2389, UN2390, UN2391, UN2392, UN2393, UN2394, UN2395, UN2396, UN2397, UN2398, UN2399, UN2400, UN2402, UN2403, UN2404, UN2405, UN2406, UN2409, UN2410, UN2411, UN2412, UN2413, UN2414, UN2416, UN2436, UN2456, UN2457, UN2458, UN2459, UN2460, UN2461, UN2478, UN2493, UN2498, UN2514, UN2520, UN2524, UN2526, UN2527, UN2528, UN2529, UN2535, UN2536, UN2541, UN2554, UN2560, UN2561, UN2603, UN2607, UN2608, UN2610, UN2612, UN2614, UN2615, UN2616, UN2617, UN2618, UN2620, UN2621, UN2622, UN2684, UN2707, UN2709, UN2710, UN2733, UN2749, UN2752, UN2758, UN2760, UN2762, UN2764, UN2772, UN2776, UN2778, UN2780, UN2782, UN2784, UN2787, UN2838, UN2840, UN2841, UN2842, UN2850, UN2924, UN2933, UN2934, UN2935, UN2943, UN2945, UN2947, UN2983, UN2985, UN3021, UN3022, UN3024, UN3054, UN3056, UN3064, UN3065, UN3092, UN3165, UN3248, UN3256, UN3269, UN3271, UN3272, UN3273, UN3274, UN3286, UN3295, UN3336, UN3343, UN3346, UN3350, UN3357, UN3371, UN3379, UN3469, UN3473, UN3475, UN3494, UN3528, UN3540, NA0027, NA1325, NA3178, UN1309, UN1310, UN1312, UN1313, UN1314, UN1318, UN1320, UN1321, UN1322, UN1323, UN1324, UN1325, UN1326, UN1328, UN1330, UN1331, UN1332, UN1333, UN1334, UN1336, UN1337, UN1338, UN1339, UN1341, UN1343, UN1344, UN1345, UN1346, UN1347, UN1348, UN1349, UN1350, UN1352, UN1353, UN1354, UN1355, UN1356, UN1357, UN1358, UN1437, UN1517, UN1571, UN1868, UN1869, UN1871, UN1944, UN1945, UN2000, UN2001, UN2213, UN2254, UN2304, UN2448, UN2538, UN2555, UN2556, UN2557, UN2623, UN2687, UN2714, UN2715, UN2717, UN2852, UN2858, UN2878, UN2907, UN2925, UN2926, UN2956, UN2989, UN3089, UN3097, UN3175, UN3176, UN3178, UN3179, UN3180, UN3181, UN3182, UN3221, UN3222, UN3223, UN3224, UN3225, UN3226, UN3227, UN3228, UN3229, UN3230, UN3231, UN3232, UN3233, UN3234, UN3235, UN3236, UN3237, UN3238, UN3239, UN3240, UN3241, UN3242, UN3251, UN3270, UN3317, UN3319, UN3344, UN3360, UN3364, UN3365, UN3366, UN3367, UN3368, UN3369, UN3370, UN3376, UN3380, UN3474, UN3527, UN3531, UN3532, UN3533, UN3534, UN3541, NA1361, UN1361, UN1362, UN1363, UN1364, UN1365, UN1369, UN1372, UN1373, UN1374, UN1376, UN1378, UN1379, UN1380, UN1381, UN1382, UN1383, UN1384, UN1385, UN1386, UN1387, UN1431, UN1854, UN1855, UN1856, UN1857, UN1923, UN1929, UN1932, UN2002, UN2004, UN2006, UN2008, UN2009, UN2210, UN2217, UN2318, UN2441, UN2447, UN2545, UN2546, UN2793, UN2845, UN2846, UN2870, UN2881, UN2940, UN3088, UN3126, UN3127, UN3128, UN3174, UN3183, UN3184, UN3185, UN3186, UN3187, UN3188, UN3189, UN3190, UN3191, UN3192, UN3194, UN3200, UN3205, UN3206, UN3254, UN3255, UN3313, UN3341, UN3342, UN3391, UN3392, UN3393, UN3394, UN3400, UN3497, UN3542, NA9191, UN1438, UN1439, UN1442, UN1444, UN1445, UN1446, UN1447, UN1448, UN1449, UN1450, UN1451, UN1452, UN1453, UN1454, UN1455, UN1456, UN1457, UN1458, UN1459, UN1461, UN1462, UN1463, UN1465, UN1466, UN1467, UN1469, UN1470, UN1471, UN1472, UN1473, UN1474, UN1475, UN1476, UN1477, UN1479, UN1481, UN1482, UN1483, UN1484, UN1485, UN1486, UN1487, UN1488, UN1489, UN1490, UN1491, UN1492, UN1493, UN1494, UN1495, UN1496, UN1498, UN1499, UN1500, UN1502, UN1503, UN1504, UN1505, UN1506, UN1507, UN1508, UN1509, UN1511, UN1512, UN1513, UN1514, UN1515, UN1516, UN1745, UN1746, UN1748, UN1872, UN1873, UN1942, UN2014, UN2015, UN2067, UN2208, UN2426, UN2427, UN2428, UN2429, UN2464, UN2465, UN2466, UN2468, UN2469, UN2495, UN2547, UN2573, UN2626, UN2627, UN2719, UN2720, UN2721, UN2722, UN2723, UN2724, UN2725, UN2726, UN2728, UN2741, UN2880, UN2984, UN3085, UN3087, UN3098, UN3099, UN3100, UN3121, UN3137, UN3139, UN3149, UN3210, UN3211, UN3212, UN3213, UN3214, UN3215, UN3216, UN3218, UN3219, UN3247, UN3356, UN3375, UN3377, UN3378, UN3405, UN3406, UN3407, UN3408, UN3485, UN3486, UN3487, UN3544, UN2814, UN2900, UN3291, UN3373, UN3549, NA1759, NA1760, UN1052, UN1604, UN1715, UN1716, UN1718, UN1719, UN1724, UN1725, UN1726, UN1727, UN1728, UN1729, UN1730, UN1731, UN1732, UN1733, UN1736, UN1739, UN1740, UN1742, UN1743, UN1744, UN1747, UN1753, UN1754, UN1755, UN1756, UN1757, UN1758, UN1759, UN1760, UN1761, UN1762, UN1763, UN1764, UN1765, UN1766, UN1767, UN1768, UN1769, UN1770, UN1771, UN1773, UN1774, UN1775, UN1776, UN1777, UN1778, UN1779, UN1780, UN1781, UN1782, UN1783, UN1784, UN1786, UN1787, UN1788, UN1789, UN1790, UN1791, UN1792, UN1793, UN1794, UN1796, UN1798, UN1799, UN1800, UN1801, UN1802, UN1803, UN1804, UN1805, UN1806, UN1807, UN1808, UN1811, UN1813, UN1814, UN1816, UN1817, UN1818, UN1819, UN1823, UN1824, UN1825, UN1826, UN1827, UN1828, UN1829, UN1830, UN1831, UN1832, UN1833, UN1835, UN1836, UN1837, UN1839, UN1840, UN1847, UN1848, UN1849, UN1898, UN1902, UN1903, UN1905, UN1906, UN1907, UN1908, UN1910, UN1938, UN1939, UN1940, UN2028, UN2029, UN2030, UN2031, UN2032, UN2033, UN2051, UN2054, UN2079, UN2209, UN2214, UN2215, UN2218, UN2225, UN2226, UN2240, UN2248, UN2258, UN2259, UN2262, UN2264, UN2269, UN2280, UN2289, UN2305, UN2308, UN2320, UN2326, UN2327, UN2331, UN2357, UN2401, UN2430, UN2434, UN2435, UN2437, UN2439, UN2440, UN2442, UN2443, UN2444, UN2475, UN2491, UN2496, UN2502, UN2503, UN2506, UN2507, UN2508, UN2509, UN2511, UN2513, UN2531, UN2564, UN2565, UN2571, UN2576, UN2577, UN2578, UN2579, UN2580, UN2581, UN2582, UN2583, UN2584, UN2585, UN2586, UN2604, UN2619, UN2670, UN2672, UN2677, UN2678, UN2679, UN2680, UN2681, UN2682, UN2683, UN2685, UN2686, UN2691, UN2692, UN2693, UN2698, UN2699, UN2705, UN2734, UN2735, UN2739, UN2751, UN2789, UN2790, UN2794, UN2795, UN2796, UN2797, UN2798, UN2799, UN2800, UN2801, UN2802, UN2803, UN2809, UN2812, UN2815, UN2817, UN2818, UN2819, UN2820, UN2823, UN2826, UN2829, UN2834, UN2837, UN2851, UN2865, UN2869, UN2879, UN2904, UN2905, UN2920, UN2921, UN2922, UN2923, UN2949, UN2967, UN2986, UN2987, UN3028, UN3055, UN3066, UN3084, UN3093, UN3094, UN3095, UN3096, UN3145, UN3147, UN3244, UN3253, UN3259, UN3260, UN3261, UN3262, UN3263, UN3264, UN3265, UN3266, UN3267, UN3301, UN3320, UN3412, UN3419, UN3420, UN3421, UN3423, UN3425, UN3453, UN3456, UN3463, UN3470, UN3471, UN3472, UN3477, UN3484, UN3495, UN3498, UN3506, UN3547, ID8000, NA1350, NA1365, NA2212, NA2448, NA3077, NA3082, NA3334, NA3356, NA9260, UN1841, UN1845, UN1931, UN1941, UN1990, UN2071, UN2211, UN2212, UN2216, UN2315, UN2590, UN2969, UN2990, UN3072, UN3077, UN3082, UN3090, UN3091, UN3151, UN3152, UN3166, UN3171, UN3257, UN3258, UN3268, UN3314, UN3316, UN3334, UN3335, UN3363, UN3432, UN3480, UN3481, UN3496, UN3499, UN3508, UN3530, UN3536, UN3548

Accessorial Codes supported by Expedite All

Name Code
Accelerated Delivery ACCDEL
Airport Pickup 100P
Appointment Delivery APTD
Appointment Pickup APTP
Call Ahead Delivery CALLDEL
Call Ahead Pickup CALLAHEAD
Camp/Park/Resort Delivery CPD
CFS Delivery CFSD
CFS Pickup CFSP
Church Delivery CHUD
Church Pickup CHUP
Construction Site Delivery CONTRUCD
Construction Site Pickup CONTRUCP
Debris Removal DEBRISREM
Detention Delivery DETENTIOND

Shipment API

The Shipment API allows brokers to book shipments directly with Expedite All using a previously generated rate quote. Once a shipment is booked, a Rate Confirmation is automatically generated and distributed to the designated parties.

Base URLs

Production POST https://api.expediteall.com/api/v2/shipments
Staging POST https://stage-lb-public-api-back.rhinocodes.org/api/v2/shipments

Create a booked shipment

POST https://api.expediteall.com/api/v2/shipments
Authorization
Token <token>
Headers:
Content-Type application/json
Accept application/json

Commodity Details

⚠️ Important: Commodity Submission Rules

When sending details about the freight in the commodities array, you must choose one of two logic paths. Please read carefully, as mixing these two methods will result in a validation error (422 Unprocessable Entity).

Path 1: The Ungrouped Method (No Quantity Field)
In this method, every single physical piece of freight (pallet, skid, crate, etc.) must have its own separate object in the array.

  • Do not include the quantity parameter in any object.
  • If you have 4 identical pallets, you must send 4 identical objects in the array.

Path 2: The Grouped Method (Using the Quantity Field)
In this method, you can group identical pieces of freight into a single object to simplify your request.

  • You must include the quantity parameter in every object within the array to tell us how many pieces that object represents.
  • The weight, length, width, and height you provide must be the dimensions/weight of ONE single piece (our system will automatically multiply it by the quantity on our end).
  • Rule: If you use the quantity field for one object, you must use it for all objects in the request. “All or nothing.”

Request Parameters

customerReferenceNumber string required

Your internal shipment number.

pro string

The shipment PRO number.

rateCalculationID UUID required

The unique identifier for the rate calculation, retrieved from the calculate-rate API for the same shipment.

serviceLevel string

Specifies the desired service level for the shipment. Accepted values: GTD_AM: Guaranteed Morning, GTD_NOON: Guaranteed Noon, GTD_PM: Guaranteed End of Day, STND: Standard.

shipmentComments string

Any relevant comments pertaining to the shipment.

requestor object

Contains contact information for the individual who initiated the request.

name string

The requestor’s company name.

contact object
name string

The requestor’s contact name.

phone string

The requestor’s phone number.

email string

The requestor’s email address.

billTo object

Provides details of the company responsible for payment of the shipment’s transportation. This information populates the “Bill To” section of the Rate Confirmation document. If this object is omitted or incomplete, the system will apply default “Bill To” information from your Expedite All portal account to the Rate Confirmation document.

account string

The Bill To account number.

name string

The Bill To company name.

address string

The address line of the Bill To company.

city string

The city of the Bill To company.

stateProvince string

The state of the Bill To company. Format: 2-letter state abbreviation.

postalCode string

The ZIP code of the Bill To company. Supported formats: 12345 and A1A1A1.

country string

The country of the Bill To company. Format: ISO 3166-1 alpha-2.

stops array of objects

Must contain exactly two objects: one for pickup stops[0] and one for delivery stops[1].

stops[0].companyName string required

Pickup company name.

stops[0].location object required
city string required

Pickup city.

state string required

Pickup state.

zip string required

Pickup ZIP code.

country string required

Must be US.

streetAddress1 string required

Pickup address line 1.

streetAddress2 string

Pickup address line 2. If omitted, remove this field.

latitude number

Pickup latitude. If omitted, remove this field.

longitude number

Pickup longitude. If omitted, remove this field.

stops[0].date object
date.start IsoDate8601 conditional

Earliest pickup date and time (UTC). Omit if using exact.

date.end IsoDate8601 conditional

Latest pickup date and time (UTC). Omit if using exact.

date.exact IsoDate8601 conditional

Pickup appointment time (UTC). Omit if using start and end.

stops[1].companyName string required

Delivery company name.

stops[1].location object required
city string required

Delivery city.

state string required

Delivery state.

zip string required

Delivery ZIP code.

country string required

Must be US.

streetAddress1 string required

Delivery address line 1.

streetAddress2 string

Delivery address line 2. If omitted, remove this field.

latitude number

Delivery latitude. If omitted, remove this field.

longitude number

Delivery longitude. If omitted, remove this field.

stops[1].date object
date.start IsoDate8601 conditional

Earliest delivery date and time (UTC). Omit if using exact.

date.end IsoDate8601 conditional

Latest delivery date and time (UTC). Omit if using exact.

date.exact IsoDate8601 conditional

delivery appointment time (UTC). Omit if using start and end.

isStackable boolean

If all handling units can be stacked, set to true. Otherwise, false.

commodities array of objects required

List of commodities in the shipment. See Commodity Details above for the two allowed submission formats.

quantity integer conditional

The number of identical physical pieces this object represents. Must be a whole number greater than 0. * Condition: This field is completely optional. However, if you choose to pass quantity in one commodity object, you must pass it in all commodity objects within the array. You cannot mix objects with and without a quantity field.

length number required

Length of the handling unit.

width number required

Width of the handling unit.

height number required

Height of the handling unit.

lengthUnit string required

Expected values: in, cm.

weight number required

Weight of the handling unit.

weightUnit string required

Expected values: lbs, kg.

hazardousMaterial boolean required

If the handling unit contains hazmat, set to true. Otherwise, false.

description string

Commodity description. If omitted, remove this field. Cannot be null.

additionalMarkings string

Additional markings. If omitted, remove this field. Cannot be null.

unNumbers array of strings conditional

Required if hazardousMaterial is true, otherwise remove this field. Cannot be null.

packingGroup string

The Packaging Group Number for CFR 49 Part 172.202. If omitted, remove this field. Cannot be null.

hazmatCustomClassDescription string

If omitted, remove this field. Cannot be null.

hazmatPieceDescription string

Description for CFR 49 Part 172.202. If omitted, remove this field. Cannot be null.

harmonizedCode string

International Harmonized Class Code. If omitted, remove this field. Cannot be null.

accessorialCodes array of objects

Requested accessorial services. If omitted, remove this array from the request.

accessorialCodes[].code string required

The code for the requested service.

accessorialCodes[].name string

The name of the requested service.

shipmentReferenceNumbers array

Additional shipment references. If omitted, remove this array from the request.

Type string required

Reference type (e.g., Reference Number, Pickup Number, Shipper Reference Number).

Value string required

The reference value.

Example Request bash
curl --location 'https://api.expediteall.com/api/v2/shipments' \
--header 'Content-Type:  application/json' \
--header 'Accept:  application/json' \
--header 'Authorization:  Bearer' \
--data-raw '{
    "customerReferenceNumber": "CUSTREF123456",
    "pro": "PRO123456789",
    "rateCalculationID": "6a3b432f-6fad-40c8-9260-1863b718d390",
    "serviceLevel": "GTD_PM",
    "shipmentComments": "Handle with care. Client prefers late delivery.",
    "requestor": {
        "name": "Demo Requestor Company",
        "contact": {
            "name": "Joe Murphy",
            "phone": "8002723425",
            "email": "[email protected]"
        }
    },
    "billTo": {
        "account": "123456",
        "name": "Bill To Company",
        "address": "456 bill to way",
        "city": "Peachtree City",
        "stateProvince": "GA",
        "postalCode": "30269",
        "country": "US"
    },
    "stops": [
        {
            "companyName": "Chicago Warehouse",
            "location": {
                "city": "Chicago",
                "state": "IL",
                "zip": "60605",
                "country": "US",
                "streetAddress1": "123 Main St",
                "streetAddress2": "Suite 100",
                "latitude": 41.8703152,
                "longitude": -87.62676822
            },
            "date": {
                "start": "2025-03-01T14:00:00.000Z",
                "end": "2025-03-01T21:00:00.000Z"
            },
            "instructions": "Pick up at door 5.",
            "notes": "Some pick-up notes."
        },
        {
            "companyName": "Atlanta Distribution Center",
            "location": {
                "city": "Atlanta",
                "state": "GA",
                "zip": "30303",
                "country": "US",
                "streetAddress1": "456 Peachtree St",
                "streetAddress2": "Warehouse B",
                "latitude": 33.75338163,
                "longitude": -84.39040614
            },
            "date": {
                "start": "2025-03-01T14:00:00.000Z",
                "end": "2025-03-01T21:00:00.000Z"
            },
            "instructions": "Deliver at door 7.",
            "notes": "Some delivery notes."
        }
    ],
    "isStackable": false,
    "commodities": [
        {
            "length": 48,
            "width": 40,
            "height": 48,
            "lengthUnit": "in",
            "weight": 500,
            "weightUnit": "lbs",
            "hazardousMaterial": true,
            "description": "Lithium Batteries",
            "additionalMarkings": "Fragile",
            "unNumbers": [
                "UN3481",
                "UN3090"
            ],
            "packingGroup": "Not Applicable (Lithium batteries do not have an assigned Packing Group under CFR 49)",
            "hazmatCustomClassDescription": "Test hazmat custom class description",
            "hazmatPieceDescription": "Lithium-ion batteries packed with equipment, UN3481, Class 9. Lithium metal batteries, UN3090, Class 9",
            "harmonizedCode": "85076000"
        },
        {
            "length": 121.92,
            "width": 101.6,
            "height": 121.92,
            "lengthUnit": "cm",
            "weight": 200,
            "weightUnit": "kg",
            "hazardousMaterial": false,
            "description": "Auto parts"
        }
    ],
    "accessorialCodes": [
        {
            "code": "ACCDEL"
        },
        {
            "code": "DISTDEL"
        }
    ],
    "shipmentReferenceNumbers": [
        {
            "type": "Customer PO",
            "value": "9876443"
        },
        {
            "type": "BOL",
            "value": "SAN151218"
        },
        {
            "type": "Delivery Number",
            "value": "4535723"
        },
        {
            "type": "Invoice ID",
            "value": "IV123456"
        },
        {
            "type": "Billing ID",
            "value": "7654534"
        }
    ]
}'
Responses:

Booked shipment successfully created

Payload Validation Error

Authentication Error

Too Many Requests

Internal Server Error

Example Response json
{
  "success": true
}
Example Response json
{
  "status": 400,
  "message": "customerReferenceNumber is a required field",
  "code": "INVALID_PAYLOAD",
  "type": "PAYLOAD_VALIDATION_ERROR",
  "timestamp": "2025-02-06T16:47:11.857Z",
  "path": "/api/v1/shipments"
}
Example Response json
{
  "status": 401,
  "message": "The provided credentials are incorrect. Please check and try again.",
  "code": "AUTHENTICATION_REQUIRED",
  "type": "AUTHENTICATION_ERROR",
  "timestamp": "2025-02-06T17:01:17.024Z",
  "path": "/api/v1/shipments"
}
Example Response json
{
  "status": 429,
  "type": "RATE_LIMIT_EXCEEDED",
  "code": "TOO_MANY_REQUESTS",
  "message": "You have exceeded the allowed request limit. Please try again later.",
  "timestamp": "2025-02-05T12:10:41.300Z",
  "path": "/api/v1/shipments"
}
Example Response json
{
  "status": 500,
  "message": "Server error",
  "type": "Internal Server Error",
  "timestamp": "2025-02-06T17:05:16.541Z",
  "path": "/api/v1/shipments"
}

Tracking API

The Tracking API allows partners to retrieve shipment status updates directly within their own systems. Using a shipment reference number and customer credentials, users can access load status, stop information, location updates, and shipment event history throughout the shipment lifecycle.

Track a load

POST https://broker-api.expediteall.com/api/load/info/event
Headers:
Content-Type application/json

Tracking Input Parameters

Data is transferred in JSON format.

Autho_Password string required

Authorization password.

Autho_UserName string required

Username for authorization.

ShipmentId string required

Shipment reference number.

CustomerID string required

Unique customer identifier.

Example Request bash
curl --location 'https://broker-api.expediteall.com/api/load/info/event'  \
--header 'Content-Type: application/json'  \
--header 'Accept: application/json'  \
--data-raw '{
  "Autho_Password": "fl?Xx.z%w}o4KdIB^29~mcUr@+UDfO3i",
  "Autho_UserName": "tracking",
  "ShipmentId": "1234567",
  "CustomerID": "317"
}'
Responses:

Successful request

ShipmentId string

shipment reference number.

load_status enum

load status. Possible values: Planned, In Progress, Completed, TONU, Waiting for TONU, No TONU.

first_stop number

first pick-up location. Comma-separated {city,2-letter state abbreviation,zip code,alpha-2 country code}.

last_stop string

last delivery location. Comma-separated {city,2-letter state abbreviation,zip code,alpha-2 country code}.

event_history array of objects

event history:

location string

event location. Comma-separated {city,2-letter state abbreviation,zip code,alpha-2 country code}.

datetime string

event date and time {YYYY-MM-DD HH:MM:SS}.

status enum

event status. Possible values: planned, to pickup, PU on site, loaded, to delivery, on route, DEL on site, unloaded, completed.

latitude float

latitude of event location.

longitude float

longitude of event location.

is_planned boolean

if a load is a planned (next) load for a truck and not a current one, set to true. Otherwise, false.

stops array of objects

load stops:

name string

stop number and stop type (e.g., STOP (1) Pickup, STOP (2) Delivery, and all possible combinations if there are more than 2 stops total).

pick_up_info object

stop info:

date_start string

the earliest required date of arrival at a stop {YYYY-MM-DD}.

date_end string

the latest required date of arrival at a stop {YYYY-MM-DD}.

urgency enum

pickup or delivery timeframe. Possible values: APPT, FCFS, ASAP, DIRECT.

time_start string

the earliest required time of arrival at a stop {HH:MM:SS}.

time_end string

the latest required time of arrival at a stop {HH:MM:SS}.

location string

location of a stop. Comma-separated {city,2-letter state abbreviation,zip code,alpha-2 country code}.

latitude float

latitude of a stop.

longitude float

longitude of a stop.

Forbidden

Not found

Example Response json
{
  "ShipmentId": "12345ABC",
  "load_status": "Completed",
  "first_stop": "Salt Lake City,UT,84115,US",
  "last_stop": "Ogden,UT,84401,US",
  "event_history": [
    {
      "location": "Ogden,UT,84401,US",
      "datetime": "2025-01-28 14:52:34",
      "status": "completed",
      "latitude": 41.222456,
      "longitude": -111.984158
    },
    {
      "location": "Ogden,UT,84401,US",
      "datetime": "2025-01-28 14:52:29",
      "status": "unloaded",
      "latitude": 41.222456,
      "longitude": -111.984158
    },
    {
      "location": "Ogden,UT,84401,US",
      "datetime": "2025-01-28 14:52:20",
      "status": "DEL on site",
      "latitude": 41.222456,
      "longitude": -111.984158
    },
    {
      "location": "Ogden,UT,84401,US",
      "datetime": "2025-01-28 14:52:08",
      "status": "on route",
      "latitude": 41.222456,
      "longitude": -111.984158
    },
    {
      "location": "Salt Lake City,UT,84115,US",
      "datetime": "2025-01-28 14:51:52",
      "status": "to delivery",
      "latitude": 40.725846,
      "longitude": -111.886946
    },
    {
      "location": "Salt Lake City,UT,84115,US",
      "datetime": "2025-01-28 14:51:38",
      "status": "loaded",
      "latitude": 40.725846,
      "longitude": -111.886946
    },
    {
      "location": "Salt Lake City,UT,84115,US",
      "datetime": "2025-01-28 14:51:29",
      "status": "PU on site",
      "latitude": 40.725846,
      "longitude": -111.886946
    },
    {
      "location": "Salt Lake City,UT,84101,US",
      "datetime": "2025-01-28 14:51:15",
      "status": "on route",
      "latitude": 40.760845,
      "longitude": -111.901531
    },
    {
      "location": "North Salt Lake,UT,84054,US",
      "datetime": "2025-01-28 14:48:54",
      "status": "to pickup",
      "latitude": 40.844737,
      "longitude": -111.914637
    }
  ],
  "is_planned": false,
  "stops": [
    {
      "name": "STOP (1) Pickup",
      "pick_up_info": {
        "date_start": "2025-01-28",
        "date_end": "2025-01-28",
        "urgency": "FCFS",
        "time_start": "15:00:38",
        "time_end": "22:00:38",
        "location": "Salt Lake City,UT,84115,US",
        "latitude": 40.725846,
        "longitude": -111.886946
      }
    },
    {
      "name": "STOP (2) Delivery",
      "pick_up_info": {
        "date_start": "2025-01-28",
        "date_end": "2025-01-29",
        "urgency": "FCFS",
        "time_start": "15:00:38",
        "time_end": "00:00:38",
        "location": "Ogden,UT,84401,US",
        "latitude": 41.222456,
        "longitude": -111.984158
      }
    }
  ]
}
Example Response json
"Incorrect username or password"
Example Response json
"Requested object wasn't found"
Bigger Screen
Need a bigger screen
The Product Tour is optimized for larger displays. For the best experience, we recommend viewing it on a larger screen.